## golang-github-socketplane-libovsdb 0.1%2Bgit20160503.9.d4b9e7a53548

=== Makefile ===
.PHONY: all test test-local test-ci install-deps lint fmt vet

all: test

test-local: install-deps fmt lint vet
	@echo "+ $@"
	@go test -v ./...

test:
	@docker-compose run --rm test

# Because CircleCI fails to rm a container
test-ci:
	@docker-compose run test

install-deps:
	@echo "+ $@"
	@go get -u github.com/golang/lint/golint
	@go get -d ./...

lint:
	@echo "+ $@"
	@test -z "$$(golint ./... | tee /dev/stderr)"

fmt:
	@echo "+ $@"
	@test -z "$$(gofmt -s -l . | tee /dev/stderr)"

vet:
	@echo "+ $@"
	@go vet ./...

## golang-github-socketplane-libovsdb 0.1+git20160503.9.d4b9e7a53548

=== debian/changelog ===
golang-github-socketplane-libovsdb (0.1+git20160503.9.d4b9e7a53548-2) unstable; urgency=medium

  * Add an empty debian/watch file.
  * Remove installed example.

 -- Vincent Bernat <bernat@debian.org>  Tue, 31 May 2016 12:23:26 +0200

golang-github-socketplane-libovsdb (0.1+git20160503.9.d4b9e7a53548-1) unstable; urgency=medium

  * Initial release (Closes: #825503)

 -- Vincent Bernat <bernat@debian.org>  Tue, 31 May 2016 10:14:48 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	dh_auto_test -- -short

override_dh_auto_install:
	dh_auto_install
	rm debian/*/usr/bin/example
	rmdir debian/*/usr/bin

## golang-github-socketplane-libovsdb 0.8.1

=== Makefile ===
OVS_VERSION ?= v3.5.0

TESTS ?=

.PHONY: all
all: lint build test integration-test coverage

.PHONY: modelgen
modelgen:
	@mkdir -p bin
	@go build -v -o ./bin ./cmd/modelgen

.PHONY: prebuild
prebuild: modelgen ovsdb/serverdb/_server.ovsschema example/vswitchd/ovs.ovsschema
	@echo "+ $@"
	@go generate -v ./...

.PHONY: build
build: prebuild
	@echo "+ $@"
	@go build -v ./...

.PHONY: test
test: prebuild
	@echo "+ $@"
	@go test -race -coverprofile=unit.cov -test.short -timeout 30s -v $(if $(TESTS),-run $(TESTS)) ./...

.PHONY: integration-test
integration-test:
	@echo "+ $@"
	@go test -race -coverprofile=integration.cov -coverpkg=github.com/ovn-kubernetes/libovsdb/... -timeout 60s -v $(if $(TESTS),-run $(TESTS)) ./test/ovs

.PHONY: coverage
coverage: test integration-test
	@sed -i '1d' integration.cov
	@cat unit.cov integration.cov > profile.cov

.PHONY: bench
bench: install-deps prebuild
	@echo "+ $@"
	@go test -run=XXX -count=3 $(if $(TESTS),-bench $(TESTS),-bench .) ./... | tee bench.out
	@benchstat bench.out

.PHONY: install-deps
install-deps:
	@echo "+ $@"
	@./hack/install-deps.sh

.PHONY: lint
lint: install-deps prebuild
	@echo "+ $@"
	@golangci-lint run

ovsdb/serverdb/_server.ovsschema:
	@curl -sSL https://raw.githubusercontent.com/openvswitch/ovs/${OVS_VERSION}/ovsdb/_server.ovsschema -o $@

example/vswitchd/ovs.ovsschema:
	@curl -sSL https://raw.githubusercontent.com/openvswitch/ovs/${OVS_VERSION}/vswitchd/vswitch.ovsschema -o $@

=== debian/changelog ===
golang-github-socketplane-libovsdb (0.8.1-1) unstable; urgency=medium

  * Team upload

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * New upstream version
  * Adapt (Build-)Depends to new upstream version
  * Adjust Homepage and Source to new Github location
  * Fix watch file
  * Default Salsa CI
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Use tracker.debian.org's team functionality in Debian Go Packaging
    Team and spell team name as per policy (routine-update)
  * Section: s/devel/golang/ (routine-update)
  * Fix validator New() API
  * Add several (Build-)Depends needed by new version
  * Do no test examples that do not build or need web access

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2025 09:55:27 +0200

golang-github-socketplane-libovsdb (0.1+git20160503.9.d4b9e7a53548-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:16:12 +0100

=== debian/control ===
Source: golang-github-socketplane-libovsdb
Standards-Version: 4.7.2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Vincent Bernat <bernat@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-go,
 golang-github-cenkalti-backoff-dev,
 golang-github-cenkalti-rpc2-dev,
 golang-github-go-logr-logr-dev,
 golang-github-go-logr-stdr-dev,
 golang-github-go-playground-validator-v10-dev,
 golang-github-google-uuid-dev,
 golang-github-prometheus-client-golang-dev,
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-socketplane-libovsdb
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-socketplane-libovsdb.git
Homepage: https://github.com/ovn-kubernetes/libovsdb
XS-Go-Import-Path: github.com/ovn-kubernetes/libovsdb

Package: golang-github-socketplane-libovsdb-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 golang-go,
 golang-github-cenkalti-backoff-dev,
 golang-github-cenkalti-rpc2-dev,
 golang-github-go-logr-logr-dev,
 golang-github-go-logr-stdr-dev,
 golang-github-go-playground-validator-v10-dev,
 golang-github-google-uuid-dev,
 golang-github-prometheus-client-golang-dev
Description: OVSDB client library written in Go
 OVSDB is the Open vSwitch Database Protocol. It's defined in RFC
 7047 and mainly used for managing the configuration of Open vSwitch,
 an open-source software switch designed to be used as a virtual
 switch in virtualized server environments.
 .
 This library is a client for OVSDB for Go.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := example modelgen test/ovs

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_clean:
	dh_auto_clean
	if [ -d .example ] ; then mv .example example ; fi

override_dh_auto_configure:
	mv example .example
	dh_auto_configure

override_dh_auto_test:
	dh_auto_test -- -short

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/*/usr/bin

=== debian/watch ===
Version: 5

Template: Github
Owner: ovn-kubernetes
Project: libovsdb
